__gnu_cxx::typelist Namespace Reference

## Functions

template<typename Fn , typename Typelist >
void | apply (Fn &, Typelist)
template<typename Gn , typename Typelist >
void | apply_generator (Gn &, Typelist)
template<typename Gn , typename TypelistT , typename TypelistV >
void | apply_generator (Gn &, TypelistT, TypelistV)
template<typename Fn , typename Typelist >
void | apply_generator (Fn &fn, Typelist)
template<typename Fn , typename TypelistT , typename TypelistV >
void | apply_generator (Fn &fn, TypelistT, TypelistV)

## Detailed Description

GNU typelist extensions for public compile-time use.

## Function Documentation

template<typename Gn , typename Typelist >

void __gnu_cxx::typelist::apply_generator | ( | Gn & | ,
|  | Typelist |
| ) |  |

Apply all typelist types to generator functor.